<?php


function ally_customize_register( $wp_customize ) {
 

	 // New Ally Settings Panel
	
    $wp_customize->add_panel( 'ally_settings', array(
        'priority'       => 1,
        'capability'     => 'edit_theme_options',
        'title'          => __('Ally Settings'),
        'description'    => __('Customize the look of Ally Child Theme.'),
    ));
	 
	 
	 
	// add the section to contain the settings
	$wp_customize->add_section( 'ally_gradients' , array(
			'title'      => __( 'Ally Gradients'),
			'priority'   => 0,
			'panel'  => 'ally_settings',
	) ); 
	
	
	// add the section to contain the settings
	$wp_customize->add_section( 'ally_cta_colors' , array(
			'title'      => __( 'Ally CTA Menu Item'),
			'description' => 'This is description',
			'priority'   => 0,
			'panel'  => 'ally_settings',
	) ); 
	 
	// Gradient Colors
	$txtcolors[] = array(
	    'slug'=>'color_scheme_1', 
	    'default' => 'rgba(24,165,255,0.5)',
	    'label' => 'Overlay Gradient - Color 1'
	);
	 
	$txtcolors[] = array(
	    'slug'=>'color_scheme_2', 
	    'default' => 'rgba(153,0,224,0.5)',
	    'label' => 'Overlay Gradient - Color 2'
	);
	 
	$txtcolors[] = array(
	    'slug'=>'color_scheme_3', 
	    'default' => 'rgba(24,165,255,1)',
	    'label' => 'Solid Gradient - Color 1'
	);
	 
	$txtcolors[] = array(
	    'slug'=>'color_scheme_4', 
	    'default' => 'rgba(153,0,224,1)',
	    'label' => 'Solid Gradient - Color 2'
	);

	// add the settings and controls for each color
	foreach( $txtcolors as $txtcolor ) {
	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $txtcolor['slug'], array(
	            'default' => $txtcolor['default'],
	            'type' => 'option', 
	            'capability' => 
	            'edit_theme_options'
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new ET_Divi_Customize_Color_Alpha_Control(
	            $wp_customize,
	            $txtcolor['slug'], 
	            array('label' => $txtcolor['label'], 
	            'section' => 'ally_gradients',
	            'settings' => $txtcolor['slug'])
	        )
	    );
	}
	
	
	$wp_customize->add_setting( 'disable_gradient', array(
    'default' => 0,
	) );
	 
	$wp_customize->add_control( 'disable_gradient', array(
	    'label' => 'Disable All Gradients',
	    'type' => 'checkbox',
	    'section' => 'ally_gradients',
	) );
	
	
	
	
	
	// CTA Menu Item Colors
	$ctacolors[] = array(
	    'slug'=>'cta_color_1', 
	    'default' => '#fff',
	    'label' => 'Link Color '
	);
	
	$ctacolors[] = array(
	    'slug'=>'cta_color_2', 
	    'default' => '#000',
	    'label' => 'Background Color'
	);
	
	$ctacolors[] = array(
	    'slug'=>'cta_color_3', 
	    'default' => '#fff',
	    'label' => 'Border Color'
	);
	
	
	$ctacolors[] = array(
	    'slug'=>'cta_color_4', 
	    'default' => '#000',
	    'label' => 'Link Color Hover'
	);
	
	$ctacolors[] = array(
	    'slug'=>'cta_color_5', 
	    'default' => '#fff',
	    'label' => 'Background Color hover'
	);
	
	$ctacolors[] = array(
	    'slug'=>'cta_color_6', 
	    'default' => '#fff',
	    'label' => 'Border Color Hover'
	);

	// add the settings and controls for each color
	foreach( $ctacolors as $ctacolor ) {
	 
	    // SETTINGS
	    $wp_customize->add_setting(
	        $ctacolor['slug'], array(
	            'default' => $ctacolor['default'],
	            'type' => 'option', 
	            'capability' => 'edit_theme_options'
	        )
	    );
	    // CONTROLS
	    $wp_customize->add_control(
	        new ET_Divi_Customize_Color_Alpha_Control(
	            $wp_customize,
	            $ctacolor['slug'], 
	            array('label' => $ctacolor['label'], 
	            'section' => 'ally_cta_colors',
	            'settings' => $ctacolor['slug'])
	        )
	    );
	}

	$wp_customize->add_setting( 'cta_border', array(
		'default'       => '1',
		'type'          => 'option',
		'capability'    => 'edit_theme_options'
	) );

	$wp_customize->add_control( new ET_Divi_Range_Option ( $wp_customize, 'cta_border', array(
		'label'	      => 'Border Witdh',
		'section'     => 'ally_cta_colors',
		'type'        => 'range',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 10,
			'step' => 1
		),
	) ) );
	
 
}
add_action( 'customize_register', 'ally_customize_register' );




function ally_customize_settings() {

?>
<?php
	$color_scheme_1 = get_option( 'color_scheme_1', 'rgba(24,165,255,0.5)' );
	$color_scheme_2 = get_option( 'color_scheme_2', 'rgba(153,0,224,0.5)' );
	$color_scheme_3 = get_option( 'color_scheme_3', 'rgba(24,165,255,1)' );
	$color_scheme_4 = get_option( 'color_scheme_4', 'rgba(153,0,224,1)' );
	
	$cta_color_1 = get_option( 'cta_color_1' );
	$cta_color_2 = get_option( 'cta_color_2' );
	$cta_color_3 = get_option( 'cta_color_3' );
	$cta_color_4 = get_option( 'cta_color_4' );
	$cta_color_5 = get_option( 'cta_color_5' );
	$cta_color_6 = get_option( 'cta_color_6' );
	
	$cta_border = get_option( 'cta_border' );


?>
	<style>
	<?php if( get_theme_mod( 'disable_gradient' ) == '' ) { ?>
    .et_pb_slider.ally-fullscreen-slider .et_pb_slider_with_overlay .et_pb_slide_overlay_container,
	.blurred .mfp-bg,
	.ally-gradient-overlay:after,
	.ally-blurb2:after,
	.ally-image-overlay .et_pb_image_wrap:after,
	.ally-portfolio .et_pb_portfolio_item .et_overlay,
	.ally-gallery .et_pb_gallery_item .et_overlay,
	.ally-post-slider .et_pb_slide_overlay_container,
	.ally-blog-grid .et_pb_post .et_overlay,
	.ally-blog-list .et_pb_post .et_overlay,
	.blog .et_pb_post > a:after, .category .et_pb_post > a:after, .archive .et_pb_post > a:after,
	.ally-person-overlay .et_pb_team_member_image:after  {
	background: -moz-linear-gradient(-45deg, <?php echo $color_scheme_1; ?> 0%, <?php echo $color_scheme_2; ?> 100%);
	background: -webkit-linear-gradient(-45deg, <?php echo $color_scheme_1; ?> 0%, <?php echo $color_scheme_2; ?> 100%);
	background: linear-gradient(135deg, <?php echo $color_scheme_1; ?> 0%, <?php echo $color_scheme_2; ?> 100%);}
	.ally-blurb5 .et-pb-icon,
	.ally-icon .et-pb-icon,
	.ally-bar-counter .et_pb_counter_amount,
	.ally-pricing .et_pb_featured_table .et_pb_pricing_heading,
	.ally-toggle .et_pb_toggle_title:before {
	background-image: -moz-linear-gradient(-45deg, <?php echo $color_scheme_3; ?> 0%, <?php echo $color_scheme_4; ?> 100%);
	background-image: -webkit-linear-gradient(-45deg, <?php echo $color_scheme_3; ?> 0%, <?php echo $color_scheme_4; ?> 100%);
	background-image: linear-gradient(135deg, <?php echo $color_scheme_3; ?> 0%, <?php echo $color_scheme_4; ?> 100%);} 
    <?php } // endif ?>
    
    #top-menu.nav > li.cta-menu-link > a,
    .et_mobile_menu li.cta-menu-link > a {
    border-color:<?php echo $cta_color_3; ?>!important;
    color:<?php echo $cta_color_1; ?>!important;
    background:<?php echo $cta_color_2; ?>!important;
    border-width:<?php echo $cta_border; ?>px!important;
	}
	#top-menu.nav > li.cta-menu-link > a:hover,
	.et_mobile_menu li.cta-menu-link > a:hover {
	background:<?php echo $cta_color_5; ?>!important;
	color:<?php echo $cta_color_4; ?>!important;
	border-color:<?php echo $cta_color_6; ?>!important;
	}
    
    
	</style>
<?php
 
}
add_action( 'wp_head', 'ally_customize_settings' );

?>