(function($){

    var triggerClassChange = $.fn.addClass;

    $.fn.addClass = function()
    {
        $(this).trigger( 'classChanged' );

		return triggerClassChange.apply( this, arguments );
    }

})(jQuery);

jQuery(document).ready(function($) {
$(document).bind('ready ajaxComplete', function(){
	// open popup on click
	$('a[href="#open-popup"]').addClass('et_smooth_scroll_disabled');
	$('a[href="#open-popup"]').magnificPopup({
		type:'inline',
		callbacks: {
		    open: function() {
		      $('body').addClass('blurred');
		    },
		    close: function() {
		      $('body').removeClass('blurred');
		    }
		   }
	});

	// add classes for animated fly-in animations
	$('.ally-bottom').addClass('et_pb_animation_bottom et-animated et-waypoint');
	$('.ally-top').addClass('et_pb_animation_top et-animated et-waypoint');
	$('.ally-right').addClass('et_pb_animation_right et-animated et-waypoint');
	$('.ally-left').addClass('et_pb_animation_left et-animated et-waypoint');
	$('.ally-fade').addClass('et_pb_animation_fade_in et-animated et-waypoint');


	// add button class to read more & previous & next link
	$('a.more-link, .pagination .alignleft a, .pagination .alignright a').addClass('et_pb_button');


	// wrap blog elements for 2 columns / list layout
	$('.ally-blog-list .et_pb_post').each(function () {
		$('>:not(.entry-featured-image-url)', this).wrapAll('<div class="wrapped"></div>');
	});

	// wrap blog article elements on archive pages
	$('.et_pb_post').contents().filter(function() {
	    return this.nodeType == 3 && $.trim(this.nodeValue).length;
		})
		.wrap('<p class="post-content">');

	$('.blog .et_pb_post, .category .et_pb_post, .archive .et_pb_post, .search .et_pb_post').each(function () {
		$('>:not(a)', this).wrapAll('<div class="wrapped"></div>');
	});


	// add Ally widget area before footer
    $('#main-footer').before($('#ally-footer'));



	// move testimonial image under the content

	$('.ally-testimonial').each(function () {    //loop over each list item
	    portrait= $('.et_pb_testimonial_portrait', this);         //get the year of the current list item
	    $('.et_pb_testimonial_author', this).prepend(portrait); //append it to the item information
	});


	// animate elements on scroll up
	var $animation_elements = $('.et-waypoint'),
	$window = $(window);

    function check_if_in_view() {
        var window_height = $window.height(),
            window_top_position = $window.scrollTop(),
            window_bottom_position = (window_top_position + window_height);

        $animation_elements.each(function() {
            var $element = $(this),
                element_height = $element.outerHeight(),
                element_top_position = $element.offset().top,
                element_bottom_position = (element_top_position + element_height);

            //check to see if this element is within viewport
            if ((element_bottom_position >= window_top_position) && (element_top_position <= window_bottom_position)) {
                $element.addClass('et-animated');
            } else {
                $element.removeClass('et-animated');
            }
        });
    }

    $window.on('scroll resize', check_if_in_view);

    $('.ally-portfolio .et_pb_portfolio_item').directionalHover();
    $('.ally-gallery .et_pb_gallery_item').directionalHover();

	$( 'div.ally-portfolio' ).find( 'li.et_pb_portfolio_filter a' ).on( 'classChanged', function()
	{
		setTimeout( function()
		{
			$('.ally-portfolio .et_pb_portfolio_item').directionalHover();
		});
	});

	$( 'div.ally-portfolio' ).on( 'classChanged', 'li.page a', function()
	{
		setTimeout( function()
		{
			$('.ally-portfolio .et_pb_portfolio_item').directionalHover();
		});
	});

   // tilt effect
	$('.ally-blurb1').tilt({
	    scale: 1.05,
	    maxTilt: 10
	   	});
	$('.ally-blurb2').tilt();
	$('.ally-tilt, .blog .et_pb_post > a, .category .et_pb_post > a, .archive .et_pb_post > a').tilt({
	    scale: 1.08,
	    maxTilt: 10
	    });


});

	// add icon with scroll link inside fullscreen-slider
	$('.ally-fullscreen-slider').after('<a class="ally-scroll" href="#"></a>');
	$( 'a.ally-scroll' ).click(function(){
	    $("html, body").animate({ scrollTop: $(window).height() - $('#main-header').height()}, 1000);
	    return false;
	});
	
	
});



// equal blurbs height
(function($){
	function equalizeHeights(selector) {
		var heights = new Array();
		$(selector).each(function() {
			$(this).css('min-height', '0');
			$(this).css('max-height', 'none');
			$(this).css('height', 'auto');
	 		heights.push($(this).height());
		});
		var max = Math.max.apply( Math, heights );
		$(selector).each(function() {
			$(this).css('height', max + 'px');
		});
	}

	$(window).load(function() {
		equalizeHeights('.equal-height-blurb .et_pb_blurb_container');
		var iv = null;
		$(window).resize(function() {
			if(iv !== null) {
				window.clearTimeout(iv);
			}
			iv = setTimeout(function() {
	      			equalizeHeights('.equal-height-blurb .et_pb_blurb_container');
			}, 120);
		});
	});
})(jQuery);




